Уголок новичка
   422

Viber

После обновления хотел установить Viber из AUR. Не устанавливается. Терминал выдает:
[valery@black ~]$ yaourt -S viber

==> Загрузка PKGBUILD viber из AUR…
x .SRCINFO
x PKGBUILD
x eula.html
x viber
sergey.orloff commented on 2016-12-13 07:31
Yesterday install it download.cdn.viber.com/cdn/desktop/Linux/viber.deb on Ubuntu 16.10 and he gave such errors. After the introduction of the telephone number for authorization checking program crashes. I do not understand how someone can use this program.

jdevelop commented on 2016-12-29 01:17
The package checksum is broken, anyone is gonna fix that?

k0ste commented on 2016-12-29 07:39
jdevelop, checksum is fine.

notexistence commented on 2017-01-20 10:16
The .deb package checksum is wrong:
$ sha256sum viber.deb
«bacc38034fa6d926e25122c152c867a4f576b59e920af58ce904c4e9f255773f viber.deb»

In PKGBUILD:
sha256sums=('712d6d21b0e8dbd6cf4589f37615d6b65a2b3d99bcf012396d6219b3afb8db08'
'037194f911c193b039fd5bcdb5296f8d65e5075006d67822519b5bc7da0c8788'
'b58bc642de9ba931eadb3743ca4b6dea93f6e21dd33cc181f62fef08843a8f99')

smirky commented on 2017-01-20 10:48
viber is updated to 6.5.5
The PKGBUILD needs to be configured accordingly. I've already done that for myself, but I'm not the maintainer and I'm also not an expert in dependencies.

viber 6.0.1.5-2 (2016-04-27 11:19)
( Неподдерживаемый пакет: Потенциально опасен! )
==> Отредактировать PKGBUILD? Да/нет [Y/n] («A» для отмены)
==> — ==> y

Пожалуйста, добавьте $VISUAL к переменным окружения
например:
export VISUAL=«vim» (в ~/.bashrc)
(замените vim на ваш любимый редактор)

==> Отредактировать PKGBUILD при помощи:

/usr/lib/yaourt/util.sh: строка 227: PKGBUILD: команда не найдена
==> зависимости viber:
— libxss (уже установлен)
— xcb-util-image (уже установлен)
— xcb-util-keysyms (уже установлен)
— xcb-util-renderutil (уже установлен)
— xcb-util-wm (уже установлен)
— libcurl-compat (уже установлен)

==> Продолжить сборку viber? Да/нет [Y/n]
==> — ==>

==> Сборка и установка пакета
==> Сборка пакета viber 6.0.1.5-2 (Пт янв 20 22:29:35 MSK 2017)
==> Проверка зависимостей для запуска…
==> Проверка зависимостей для сборки…
==> Получение исходных файлов…
-> Загрузка viber.deb…
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 80.9M 100 80.9M 0 0 3349k 0 0:00:24 0:00:24 --:--:-- 3292k
-> Найден eula.html
-> Найден viber
==> Проверка файлов source с использованием sha256sums…
viber.deb… СБОЙ
eula.html… Готово
viber… Готово
==> ОШИБКА: Исходные файлы не прошли проверку целостности!
==> ОШИБКА: Makepkg не смог собрать viber.
==> Перезапустить сборку viber? да/Нет [y/N]
==> — ==>
Все, и пошло по кругу-Перезапустить сборку viber? да/Нет [y/N]
Подскажите пожалуйста, в чем дело?
Manjaro xfce. Обновления 2017-01-20

4 комментария

avatar
Вибер обновили, и файл битый выложили. Случайность. Ждите, исправят.
ЗЫ: Впрочем, пользователи ругаются что там и в сам вибер новых багов добавили. Цитата: «Я не понимаю, как кто-то может пользоваться этой программой».
ЗЫЫ: А вообще, не стесняйтесь использовать онлайн-переводчики, это полезно.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
+1
avatar
Сам deb-файл-то не битый. Там, похоже, просто PKGBUILD с ошибкой.
Можно при установке отредактировать PKGBUILD. Добавить в список Контрольных сумм реальную контрольную сумму viber.deb
Но это на Ваш страх и риск, сам не проверял.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
+1
avatar
Пакет обновили, ставьте обычным способом из АУРа.
Последний раз редактировалось
?
Правильные ответы начинаются с правильных вопросов.
+1
avatar
Все установилось. Благодарю за подсказку.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.